// Commands.cpp : Implementation of CCommands
#include "stdafx.h"
#include "VC6Extend.h"
#include "Commands.h"

#include "VCAddinManager.h"

/////////////////////////////////////////////////////////////////////////////
// CCommands

CCommands::CCommands()
{
	m_piApplication			= NULL;
	m_pDebuggerEventsObj	= NULL;
	m_pDebugger				= NULL;
}


CCommands::~CCommands()
{
	CleanUp();
}

/////////////////////////////////////////////////////////////////////////////
// ICommands

void CCommands::OnConnection( IApplication* pApplication )
{
	AFX_MANAGE_STATE(AfxGetAppModuleState());
	AddRef();
	m_piApplication = pApplication;

// 	CComPtr<IDispatch> pDebugger;
// 	if ( m_piApplication && SUCCEEDED(m_piApplication->get_Debugger(&pDebugger)) && pDebugger )
// 	{
// 		XDebuggerEventsObj::CreateInstance(&m_pDebuggerEventsObj);
// 		m_pDebuggerEventsObj->AddRef();
// 		m_pDebuggerEventsObj->Connect(pDebugger);
// 		m_pDebuggerEventsObj->m_pCommands = this;
// 		
// 		VERIFY(SUCCEEDED(pDebugger->QueryInterface(IID_IDebugger, (LPVOID*) &m_pDebugger)));
// 	}

	ASSERT( !g_pAddinManager );
	new CVCAddinManager;
}

void CCommands::OnDisconnection()
{
	CleanUp();

	Release();
}

void CCommands::CleanUp()
{
// 	if (m_pDebuggerEventsObj)
//     {
//         // Since we were able to connect to the Debugger events, we
//         //  should be able to access the Debugger object again to
//         //  unadvise from its events
//         CComPtr<IDispatch> pDebugger;
//         VERIFY(m_piApplication->get_Debugger(&pDebugger));
//         ASSERT (pDebugger != NULL);
//         m_pDebuggerEventsObj->Disconnect(pDebugger);
//         m_pDebuggerEventsObj->Release();
//         m_pDebuggerEventsObj = NULL;
//     }
	delete g_pAddinManager;
}

STDMETHODIMP CCommands::SampleCommand()
{
	return S_OK;
}