// DSAddin.h : Declaration of the CDSAddin

#ifndef __VC6Extend_H_
#define __VC6Extend_H_

#include "..\resource.h"       // main symbols
#include "Commands.h"

/////////////////////////////////////////////////////////////////////////////
// CDSAddin

class ATL_NO_VTABLE CVC6Extend : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CVC6Extend, &CLSID_VC6Extend>,
	public IDSAddIn
{
public:

DECLARE_REGISTRY_RESOURCEID(IDR_VC6Extend)

DECLARE_NOT_AGGREGATABLE(CVC6Extend)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CVC6Extend)
	COM_INTERFACE_ENTRY(IDSAddIn)
END_COM_MAP()
private:

	CCommandsObj*			m_pCommands;
// IDSAddin
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,	long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);
};

#endif //__DSADDIN_H_
