#ifndef __VCADDINUTILS_H__
#define __VCADDINUTILS_H__

#if _MSC_VER > 1000 
#pragma once 
#endif // _MSC_VER > 1000

#define WC_SCROLLBAR				_T("ScrollBar")
#define WC_AFX_MDI_FRAMEWND			_T("AfxMDIFrame42")
#define WC_VC_MIDICLIENT			_T("MDIClient")

#define WNDCLASSNAME_SIZE			20

CMDIFrameWnd*		GetMainFrameWnd();
CWnd*				FindMDIClientWnd();
HWND				FindScrollBarCtrl(HWND hAfxMDIFrameWnd, int nBar);

BOOL				IsMDIChildWnd(HWND hWnd);
BOOL				IsAfxMDIFrameWnd(HWND hWnd);
BOOL				IsScrollBarCtrl(HWND hWnd);

BOOL				IsWindowMatchClassName(HWND hWnd, LPCTSTR lpcszClassName);

void				VCTrace(LPCTSTR lpszFormat, ...);

CString				GetWndTraceInfo(HWND hWnd);

#ifdef _PSEUDO_DEBUG
	#define VCTRACE              ::VCTrace
#else
	#define VCTRACE              1 ? (void)0 : ::VCTrace
#endif // _PSEUDO_DEBUG

#endif // __VCADDINUTILS_H__
