// VCExtendModule.h: interface for the IVCExtendModule class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VCEXTENDMODULE_H__2C126DAB_4CBD_4112_9344_BA683C62C429__INCLUDED_)
#define AFX_VCEXTENDMODULE_H__2C126DAB_4CBD_4112_9344_BA683C62C429__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*----------------------------------------------------------------------------*/
/* IVCExtendModule
/*----------------------------------------------------------------------------*/

class IVCExtendModule  
{
public:
	IVCExtendModule() : m_bEnable(TRUE)				{}
	virtual ~IVCExtendModule()						{}
public:
	virtual void	Enable(BOOL bEnable = TRUE)		{ m_bEnable = bEnable; }
	BOOL			IsEnabled() const				{ return m_bEnable; }

	virtual BOOL	Init()							{ BOOL bRet = LoadSettings(); Enable(m_bEnable); return bRet; }
	virtual BOOL	ShutDown()						{ BOOL bRet = SaveSettings(); Enable(FALSE); return bRet; }

	virtual BOOL	LoadSettings()					{ return TRUE; }
	virtual BOOL	SaveSettings()					{ return TRUE; }
private:
	BOOL			m_bEnable;
};

#endif // !defined(AFX_VCEXTENDMODULE_H__2C126DAB_4CBD_4112_9344_BA683C62C429__INCLUDED_)
