// VCAddinManager.h: interface for the CVCAddinManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VCADDINMANAGER_H__3F761625_0510_4300_9CCA_6638B582421D__INCLUDED_)
#define AFX_VCADDINMANAGER_H__3F761625_0510_4300_9CCA_6638B582421D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>

class IVCExtendModule;

typedef CArray<IVCExtendModule*,IVCExtendModule*> IVCExtendModuleArray;

class CVCAddinManager  
{
	friend class CCommands;
protected:
	CVCAddinManager();
	virtual ~CVCAddinManager();
public:
	enum AddinModuleType
	{
		AMT_LINENUMBER,
	};

	IVCExtendModule*			GetModule(AddinModuleType Type)			{ return m_arrModules[Type]; }
	const IVCExtendModuleArray&	GetModules() const						{ return m_arrModules; }
public:
	IVCExtendModuleArray	m_arrModules;
};

extern CVCAddinManager*		g_pAddinManager;

#endif // !defined(AFX_VCADDINMANAGER_H__3F761625_0510_4300_9CCA_6638B582421D__INCLUDED_)
